package com.secspace.lib.common.beans;

public class WaitInstallAppInfo {
    private String packageName;

    /**
     * 安装来源
     */
    private String installSource;
    /**
     * 原始路径，比如assets目录
     */
    private String originPath;
    /**
     * 最终的安装缓存路径
     */
    private String cachePath;
    private boolean clone;
    private boolean fromAssets;
    /**
     * 安装时是否toast提示
     */
    private boolean toast;

    private int versionCode;

    public WaitInstallAppInfo() {
    }

    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }

    public String getOriginPath() {
        return originPath;
    }

    public void setOriginPath(String originPath) {
        this.originPath = originPath;
    }

    public boolean isClone() {
        return clone;
    }

    public void setClone(boolean clone) {
        this.clone = clone;
    }

    public boolean isFromAssets() {
        return fromAssets;
    }

    public void setFromAssets(boolean fromAssets) {
        this.fromAssets = fromAssets;
    }

    public String getCachePath() {
        return cachePath;
    }

    public void setCachePath(String cachePath) {
        this.cachePath = cachePath;
    }

    public boolean isToast() {
        return toast;
    }

    public void setToast(boolean toast) {
        this.toast = toast;
    }

    public String getInstallSource() {
        return installSource;
    }

    public void setInstallSource(String installSource) {
        this.installSource = installSource;
    }

    public int getVersionCode() {
        return versionCode;
    }

    public void setVersionCode(int versionCode) {
        this.versionCode = versionCode;
    }
}
